uk.gov.hmrc.cache.model

# Cache

###
Related Docs: object Cache | package model

#### case class Cache(id: Id, data: Option[JsValue] = None, modifiedDetails: CreationAndLastModifiedDetail = CreationAndLastModifiedDetail(), atomicId: Option[BSONObjectID] = None) extends Cacheable with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, Cacheable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Cache
2. Serializable
3. Serializable
4. Product
5. Equals
6. Cacheable
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new Cache(id: Id, data: Option[JsValue] = None, modifiedDetails: CreationAndLastModifiedDetail = CreationAndLastModifiedDetail(), atomicId: Option[BSONObjectID] = None)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### val atomicId: Option[BSONObjectID]

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### val data: Option[JsValue]

   Definition Classes
     Cache → Cacheable

8. #### def dataKeys(): Option[Set[String]]

   Definition Classes
     Cacheable

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### val id: Id

    Definition Classes
      Cache → Cacheable

13. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

14. #### val modifiedDetails: CreationAndLastModifiedDetail

    Definition Classes
      Cache → Cacheable

15. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### final def notify(): Unit

    Definition Classes
      AnyRef

17. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

18. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

19. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

20. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

21. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Cacheable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped